From a8ec17b711d933c70d6b7b6b154f6c23dab0d58b Mon Sep 17 00:00:00 2001
From: Amitosh Swain Mahapatra <amitosh.swain@gmail.com>
Date: Fri, 20 Apr 2018 21:36:41 +0530
Subject: [PATCH] Upgrade node-pre-gyp to fix broken binary downloads

---
 CHANGELOG.md                   | 3 +++
 bcrypt.js                      | 2 +-
 package.json                   | 7 +++++--
 lib/promises.js => promises.js | 0
 test/promise.js                | 2 +-
 5 files changed, 10 insertions(+), 4 deletions(-)
 rename lib/promises.js => promises.js (100%)

diff --git a/CHANGELOG.md b/CHANGELOG.md
index d740e3d6..a80a8615 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -1,3 +1,6 @@
+# UNRELEASED
+
+  * Update `node-pre-gyp` to allow downloading prebuilt modules
 # 2.0.0 (2018-04-07)
 
   * Make `2b` the default bcrypt version
diff --git a/bcrypt.js b/bcrypt.js
index f50a0d37..fb08225e 100644
--- a/bcrypt.js
+++ b/bcrypt.js
@@ -7,7 +7,7 @@ var bindings = require(binding_path);
 
 var crypto = require('crypto');
 
-var promises = require('./lib/promises');
+var promises = require('./promises');
 
 /// generate a salt (sync)
 /// @param {Number} [rounds] number of rounds (default 10)
diff --git a/package.json b/package.json
index 36055e9b..bce07da4 100644
--- a/package.json
+++ b/package.json
@@ -30,11 +30,14 @@
   },
   "dependencies": {
     "nan": "2.10.0",
-    "node-pre-gyp": "0.9.0"
+    "node-pre-gyp": "0.9.1"
   },
   "devDependencies": {
     "nodeunit": "~0.11.1"
   },
+  "bundledDependencies": [
+    "node-pre-gyp"
+  ],
   "contributors": [
     "Antonio Salazar Cardozo <savedfastcool@gmail.com> (https://github.com/Shadowfiend)",
     "Van Nguyen <the.gol.effect@gmail.com> (https://github.com/thegoleffect)",
@@ -59,4 +62,4 @@
     "remote_path": "/kelektiv/node.bcrypt.js/releases/download/v{version}/",
     "package_name": "{module_name}-v{version}-{node_abi}-{platform}-{arch}-{libc}.tar.gz"
   }
-}
\ No newline at end of file
+}
diff --git a/lib/promises.js b/promises.js
similarity index 100%
rename from lib/promises.js
rename to promises.js
diff --git a/test/promise.js b/test/promise.js
index c26d1b39..f6409926 100644
--- a/test/promise.js
+++ b/test/promise.js
@@ -1,5 +1,5 @@
 var bcrypt = require('../bcrypt');
-var promises = require('../lib/promises');
+var promises = require('../promises');
 
 var fail = function(assert, error) {
     assert.ok(false, error);
